Bug 3891 - General: packages should not write into /home
General: packages should not write into /home
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: mod_php3 (Show other bugs)
6.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-03 18:50 EDT by chris
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-05 13:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris 1999-07-03 18:50:46 EDT
Many sites (i.e., ours :-) use NIS and the automounter to
mount home directories on demand.  However, files installed
in /home become hidden when the automounter takes control of
/home.  RPM upgrades also fail miserably when they want to
write into /home for obvious reasons.  Workaround
suggestions appreciated.  Offensive RPMS:

foreach f (i386/RedHat/RPMS/*.rpm updates/i386/RPMS/*.rpm)
  rpm -qlp $f | egrep '^/home/' > /dev/null && echo $f:t
end
anonftp-2.8-1.i386.rpm
apache-1.3.6-7.i386.rpm
mod_perl-1.19-2.i386.rpm
samba-2.0.3-8.i386.rpm
squid-2.2.STABLE1-1.i386.rpm
mod_php3-3.0.9-1.i386.rpm
mod_php3-manual-3.0.9-1.i386.rpm

[Interesting technical quirk: replacing the above egrep with
"egrep -q '^/home/' && echo $f:t" lists only anonftp,
mod_perl, and mod_php3 RPMS - not the others.]
Comment 1 Preston Brown 1999-07-06 11:31:59 EDT
While I agree with this opinion (and always have), I'm not sure how
easy it will be to move away from the /home -based locations at this
point -- upgrades could be *extremely* painful.  This is one we have
to discuss.
Comment 2 Jeff Johnson 1999-09-05 13:52:59 EDT
As an alternative, rpm has netsharedpaths -- paths on which files
will not be installed. Try
	echo "%_netsharedpath	/home" >> /etc/rpm/macros
The macro _netsharedpath takes a colon separated list of paths to
ignore as values, so add to the definition as desired. You will
also need to reinstall any packages that install files on netshared
paths after configuring.

I'm preserving this bug by resloving to the REMIND state.

Caveat Emptor: It's up to you to populate netshared paths
appropriately.

Note You need to log in before you can comment on or make changes to this bug.